2021-04-17 16:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000950FSSCPgameplaypublic2006-10-01 15:59
ReporterGoober5000 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000950: "Branch" screen is skipped if player goes from the debriefing directly to the main hall
DescriptionThis was first posted in the forum awhile ago. If you exit a debriefing by hitting Escape and then accepting the mission outcome, you never see the branch selection screen ("SOC wants you to go on such-and-such a mission. Do you accept?") -- and when the campaign resumes you end up skipping the loop.

This isn't usually noticed because most of the time players hit Accept on the debriefing screen whether or not they actually want to play the next mission, and the branch screen is only shown after Accept.

The branch screen should appear regardless of whether the player exited via Escape or via Accept.
TagsNo tags attached.
Attached Files
  • zip file icon Yarr.zip (10,615 bytes) 2006-09-02 18:21

-Relationships
+Relationships

-Notes

~0005852

taylor (administrator)

Do you think this is a general code bug or something with the pilot code? I can't remember how this worked in retail. If it's pilot code related then I may be able to go ahead and fix it without breaking files, assuming the cause problem can be found without ripping up the code.

If you think it's pilot related then just assign this to me and I'll take a look at it.

~0005856

kasperl (developer)

Retail did the same.

~0005857

Goober5000 (administrator)

I think it's a design flaw actually. The branch screen seems to be directly tied to the mission it comes after, and once the debriefing screen is exited, that mission is no longer active. The branch is never chosen, which means the progression always defaults to the non-loop branch.

~0006536

taylor (administrator)

I think that I see where the problem is here, and if so then it's a pretty easy fix. I'd prefer to test it well before commit though, so I don't suppose anyone has a pilot at the right place that I can test this with?

~0006537

Goober5000 (administrator)

Hmm. I've been thinking about playing through the main FS2 campaign again, so give me an hour or so and I'll have the pilot ready. ;)

~0006543

Goober5000 (administrator)

Okay, uploaded. You'll need to play through Feint! Parry! Riposte! first, though, since your actions in the debriefing determine whether it manifests or not.

~0006747

taylor (administrator)

Slightly tougher fix that I had thought, but only because it's having to get around V's original stuff without being too hackish. I think that I've squashed the last bug though, so a few more tests and then this will hit CVS. But it wouldn't have been so tricky if I could have broken pilot files to fix it. ;)

From now on, if you leave the briefing for the mainhall and accept the changes, then it should properly take you to the loopbrief screen and work properly next time. If you try to leave the loopbrief screen (via ESC) then it will now pop up a box and ask you to either accept or decline the offer before it will let you back to the mainhall. That should cover everything. :)

~0006748

Goober5000 (administrator)

Super. :)

~0006749

taylor (administrator)

Ok, still one bug, but I can't really get past it without breaking pilot files (which I'm not going to do) or using some stupid global which only partially fixes the problem (again, don't really want to do that).

The bug is that, if you go the branch screen and decline it via the popup, it will end up sending you to the branch screen again the next time you go into the readyroom. This isn't that big of a deal however, it doesn't loose any info or anything. The same bug also applies to if you decline it directly, proceed to the next mission, then ESC back to the mainhall. When you go back to the readyroom it will again present you with the branch screen. Only when you complete the next mission will it stop sending you to the branch screen. This is because of what is needed to detect your need to actually get to the branch screen in the first place. Not enough info on the loop condition/status is saved to the pilot file (currently) to avoid this.

If at any point you hit accept, either directly or via the popup, on the branch screen then it will work properly (this case is detected since that info is actually saved in the pilot file).

So, not really a serious bug, it won't prevent you from progressing and you won't lose any info. But it might be a slight problem for some users who are presented with this and aren't sure if it's a mistake or not.

I'll go ahead and release a 7dot8 test build with the changes, and if it appears to work out then I'll commit to CVS the first of next week.

~0006753

taylor (administrator)

Here is a build with the fix if you want to give it a try yourself (current 3_6_9 CVS, plus the stuff I'm preparing to commit):
http://icculus.org/~taylor/fso/testing/rc7dot8.rar

~0006768

taylor (administrator)

Marking as fixed (reopen if you still see a problem Goober). I'll update the pilot bug container with a todo item to make sure that the usability issue is fixed in the new pilot code (plus I'll be able to redo this fix to be less hacky at that point too).

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-06-16 21:27 Goober5000 New Issue
2006-06-16 21:29 Goober5000 Description Updated
2006-06-16 21:29 Goober5000 Description Updated
2006-06-16 22:41 taylor Note Added: 0005852
2006-06-17 06:42 kasperl Note Added: 0005856
2006-06-18 00:32 Goober5000 Note Added: 0005857
2006-09-02 14:05 taylor Note Added: 0006536
2006-09-02 14:07 Goober5000 Note Added: 0006537
2006-09-02 18:21 Goober5000 File Added: Yarr.zip
2006-09-02 18:22 Goober5000 Note Added: 0006543
2006-09-05 15:01 taylor Status new => assigned
2006-09-05 15:01 taylor Assigned To => taylor
2006-09-29 12:30 taylor Note Added: 0006747
2006-09-29 13:02 Goober5000 Note Added: 0006748
2006-09-30 00:55 taylor Note Added: 0006749
2006-09-30 05:44 taylor Note Added: 0006753
2006-10-01 15:59 taylor Status assigned => resolved
2006-10-01 15:59 taylor Resolution open => fixed
2006-10-01 15:59 taylor Note Added: 0006768
+Issue History